# The Open Pixel Font Project

Home to fonts optimized for low-resoltions and limited color displays.

When rendered at low point sizes, many fonts can look smudged by anti-aliasing. When anti-aliasing is disabled for this reason, or when it is not available, such as on displays with limited colors, these fonts usually become illegible. To combat this, pixel fonts a.k.a. bitmap fonts are designed without anti-aliasing in mind.

The goal of this project is to provide the look and feel of popular, publically available vector fonts such as Open Sans as a pixel font.
To that end, we use BitFontMaker2 (http://www.pentacom.jp/pentacom/bitfontmaker2/) to create these fonts by hand, pixel by pixel. The JSON files stored in this repository are backups of the bitmap data that can be imported into BitFontMaker2.

# Reference Fonts

You can find the original TTF files used for reference during development at the following locations

* `Open Sans Regular`: This [github page](https://github.com/google/fonts/tree/master/apache/opensans);
* `EB Garamond`: Hosted on [Google Fonts](https://www.google.com/fonts/specimen/EB+Garamond);
* `Special Elite`: Hosted on [Google Fonts](https://www.google.com/fonts/specimen/Special+Elite).

# Licensing

While we do create the bitmaps by hand to maintain readability and the style of each font, even at low resolutions, the end product is still a derivative of the original font. We do not claim copyright to the typeface, and generally distribute our pixel fonts under the same license as the originals.
